/*
 * LinShare is an open source filesharing software, part of the LinPKI software
 * suite, developed by Linagora.
 * 
 * Copyright (C) 2014 LINAGORA
 * 
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License as published by the Free
 * Software Foundation, either version 3 of the License, or (at your option) any
 * later version, provided you comply with the Additional Terms applicable for
 * LinShare software by Linagora pursuant to Section 7 of the GNU Affero General
 * Public License, subsections (b), (c), and (e), pursuant to which you must
 * notably (i) retain the display of the “LinShare™” trademark/logo at the top
 * of the interface window, the display of the “You are using the Open Source
 * and free version of LinShare™, powered by Linagora © 2009–2014. Contribute to
 * Linshare R&D by subscribing to an Enterprise offer!” infobox and in the
 * e-mails sent with the Program, (ii) retain all hypertext links between
 * LinShare and linshare.org, between linagora.com and Linagora, and (iii)
 * refrain from infringing Linagora intellectual property rights over its
 * trademarks and commercial brands. Other Additional Terms apply, see
 * <http://www.linagora.com/licenses/> for more details.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU Affero General Public License and
 * its applicable Additional Terms for LinShare along with this program. If not,
 * see <http://www.gnu.org/licenses/> for the GNU Affero General Public License
 * version 3 and <http://www.linagora.com/licenses/> for the Additional Terms
 * applicable to LinShare software.
 */
package org.linagora.linshare.repository.hibernate;

import org.junit.Assert;

import org.junit.Test;
import org.linagora.linshare.core.domain.entities.DomainAccessPolicy;
import org.linagora.linshare.core.domain.entities.DomainPolicy;
import org.linagora.linshare.core.exception.BusinessException;
import org.linagora.linshare.core.repository.DomainPolicyRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.AbstractJUnit4SpringContextTests;

@ContextConfiguration(locations={"classpath:springContext-test.xml", 
		"classpath:springContext-datasource.xml",
		"classpath:springContext-repository.xml"})
public class DomainPolicyRepositoryImplTest extends AbstractJUnit4SpringContextTests {

	@Autowired
	private DomainPolicyRepository domainPolicyRepository;

	private static String domainePolicyName0 = "TestPolicy0";
	
	@Test
	public void testCreateDomainPolicy1() throws BusinessException{
		DomainAccessPolicy accessPolicy = new DomainAccessPolicy();
		DomainPolicy policy = new DomainPolicy(domainePolicyName0, accessPolicy);
				
		logger.debug("Current accessPolicy : " + accessPolicy.toString());
		logger.debug("Current policy : " + policy.toString());
		
		domainPolicyRepository.create(policy);
		Assert.assertNotNull(policy.getPersistenceId());
		
		DomainPolicy entityPolicy = domainPolicyRepository.findById(policy.getIdentifier());
		
		Assert.assertTrue(entityPolicy != null );
		logger.debug("My name is : " + entityPolicy.getIdentifier());
		logger.debug(entityPolicy.getDomainAccessPolicy().toString());
		
		domainPolicyRepository.delete(entityPolicy);
	}
}
